syslogd(8)

NAME
syslogd - log systems messages

SYNOPSIS
syslogd [options ...]

DESCRIPTION
syslogd reads and logs messages to the system console, log files, other machines and/or users as specified by its configuration file.

OPTIONS

-4, --ipv4
    Restrict to IPv4 transport (default).

-6, --ipv6
    Restrict to IPv6 transport.

--ipany
    Allow transport with IPv4 and IPv6.

-a socket
    Specify additional sockets from that syslogd has to listen to. This is needed if you are going to let some daemon run within a chroot()'ed environment. You can specify up to 19 additional sockets.

-b, --bind addr
    Bind listener to this address/name.

-B, --bind-port port
    Bind listener to this port.

-f, --rcfile file
    Specify the pathname of an alternate configuration file; the default is system specific and displayed in the help output.

-D, --rcdir dir
    Specify the pathname of an alternate configuration directory; the default is system specific and displayed in the help output.

-h, --hop
    Enable forwarding remote messages. By default syslogd will not forward messages it receives from remote hosts.

-l host_list
    A colon-seperated lists of hosts which should be considered local; they are logged by their hostnames instead by their FQDN.

-s domain_list
    A colon-seperated list of domainnames which should be stripped from the FQDNs of hosts when logging.

-m, --mark interval
    Select the number of minutes between "mark" messages; the default is 20 minutes. Setting it to 0 disables timestamps.

-p, --socket path
    Specify the pathname of an alternate log socket. The default is system specific and displayed in the help output.

-r, --inet
    Enable to receive remote messages using an internet domain socket. The default is to not receive any messages from the network. Older version always accepted remote messages.

-T, --local-time
    Set local time on received messages.

-S, --sync
    Force a file sync on every line.

-n, --no-detach
    Suppress backgrounding and detachment of the daemon from its controlling terminal.

--no-klog
    Do not listen to the kernel log device. This is only supported on systems which define a kernel log device, on all others this is already the default, and the option will be silently ignored.

--no-unixaf
    Do not listen to any unix domain socket. This option overrides -p and -a.

--no-forward
    Do not forward any messages. This overrides -h.

-d, --debug
    Enter debug mode. syslogd does not put itself in the background, does not fork and shows debug information.

?, --help
    Display help information and exit.

--usage
    Display a short usage message and exit.

-V, --version
    Print version number and exit.

syslogd reads its configuration file when it starts up and whenever it receives a hangup signal. For information on the format of the configuration file, see syslog.conf(5).

syslogd reads messages from the UNIX domain socket /dev/log, from an Internet domain socket specified in /etc/services, and from the one of the special devices /dev/klog or /proc/kmsg depending on the system (to read kernel messages). In a GNU/Linux system it will not parse the System.map and use it to annotate the kernel messages.

syslogd creates the file /run/syslog.pid, and stores its process id there. This can be used to kill or reconfigure syslogd.

The message sent to syslogd should consist of a single line. The message can contain a priority code, which should be a preceding decimal number in angle braces, for example, ‘<5.>’ This priority code should map into the priorities defined in the include file <sys/syslog.h>.

FILES
/etc/syslog.conf
    The configuration file.
/run/syslog.pid
    The process id of current syslogd.
/dev/log
    Name of the UNIX domain datagram log socket.
/dev/klog, /proc/kmsg
    The kernel log device.

SEE ALSO
logger(1), syslog(3), services(5), syslog.conf(5)

HISTORY
The syslogd command appeared in 4.3BSD.